<?php
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';
include_once $path.'/Model_adm.php';
$webp_name='FLOWS'; 
//$webp_model='model_'.$webp_name.'.php'; 
//Inclusion des librairie
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'un noeud et vérifie les droits d'accès
 *NECESSITE: la variable $webp_name configurée
 *           la variable $webp_model est incluste
 *APRES l'inclusion du common_node_control les variables suivantes sont créées:
 *PHP:
 *      $node objet de type device
 *      $template_path chemin d'accès vers le répertoire template du plugin (exemple: /usr/local/esia/public_html/plugin/server/templates/)
 *      $apache_plugin_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_info = array('id'=>$node->getId(),
                    'name'=>$node->getName(),
				    'ip'=>$node->getIPAddress(),
				    'id'=>$node->getId(),
				    'description'=>$node->getDescription(),
				    'group'=>$node->getGroup());
 * SMARTY
        $webp_name nom du plugin 
        $node avec les donnée de node_info (voir au dessus)
 *      $apache_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_status pour l'affichage commun des noeuds si $_GET['tab'] est vide
 *
 */
if(empty($_GET['nodeid']))
{
    $_GET['nodeid']=$_REQUEST['node'];
}
include_once $path.'/inc/common_node_control.php';
$action='list';
if(isset($_GET['action'])&&!empty($_GET['action']))
{
    $action=$_GET['action'];
}
$adv_config_id = $_REQUEST['id'];
$node_id = $_REQUEST['nodeid'];
if(!isset($_REQUEST['nodeid']))
{
    $setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$adv_config_id)[0];
    $node_id = $setting['node_id'];
  }
    if($action=="add")
    {
       /* $plugin = Model_esia::getPlugin($dbconnection,'CHECK_API_IP_LABEL_SYNC');
        $plugin = $plugin[0];
        Model_adm::addService($dbconnection,'CHECK_API_IP_LABEL_SYNC',$plugin['id'],$node_id,300000,'-A $AUTH_FILE_IPLABEL -t sync -w 15 -c 30',2,null,null,null,null,null);*/
    }
    if($action=="update"||$action=="add")
    {
        try
        {
			if(isset($_POST['flows_srv']) && !empty($_POST['flows_srv']))
			{
				$array = array('url' => $_POST['flows_srv']);
				Model_adm::updateAdvanceNodeConfig($dbconnection,$adv_config_id,json_encode($array));
				$ADM_MESSAGE[] = array('message' => $lang['FLOWS_UPDATE_SUCCESS']);
				$smarty->assign('ADM_MESSAGE',$ADM_MESSAGE);
			}
			$setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$adv_config_id)[0];
			$smarty->assign('serverurl',$setting['parameter']['url']);
            $smarty->assign('adv_id',$adv_config_id);
            $smarty->assign('url',$setting['controller']);
            $smarty->display($template_path.'/adv_flows.html');

        }
        catch(Exception $ex)
        {
            $ERRORS[]= array('name'=>'DB error' ,'message'=>$ex->getMessage());
            $smarty->assign('ERRORS',$ERRORS);
        }
    }
?>
