INSERT INTO esia_web_plugin(web_id, web_name, web_dir_lang, web_page_control, web_activate, web_plugin_apache_path) VALUES (DEFAULT,'FLOWS','lang/','control_flows.php?nodeid=:id','true', '/plugin/flows/');
INSERT INTO esia_device_type(type_id, type_name, type_web_id) VALUES (DEFAULT,'flows server',(SELECT web_id FROM esia_web_plugin WHERE web_name='FLOWS'));


INSERT INTO esia_device_advance_config_type(device_config_type_id, device_config_type_name, device_config_type_controller, device_config_type_default_parameter,device_config_type_webplugin_id)
	VALUES (DEFAULT,'FLOWS','adv_flows.php',NULL,(SELECT web_id FROM esia_web_plugin WHERE web_name='FLOWS'));


INSERT INTO esia_device_advance_config_type(device_config_type_id, device_config_type_name, device_config_type_controller, device_config_type_default_parameter,device_config_type_nodetab)
	VALUES (DEFAULT,'FLOW_CHANNEL','/plugin/flows/adv_flows_node.php',NULL,'/plugin/flows/adv_tab_flows.php?nodeid=:id&tab=flows');


INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_API_ESIA_FLOWS_TRAFFIC', '/usr/local/esia/plugins/check_api_flow_esia.php','default','-H $IP -t stats -s traffic -w 700000000 -c 900000000','plugin de liaison automatique avec les noeuds ESIA','7','ESIA','SYSLOG','FLOWS,ESIA,TRAFFIC');

INSERT INTO rrd_plugins(rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_ESIA_FLOWS_TRAFFIC'),'GAUGE','#traffic=([0-9\.]*)#',300,DEFAULT,'traffic',0,-1,'bps','LINE01','#40FF00');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) 
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_ESIA_FLOWS_TRAFFIC'),'GAUGE','#traffic_udp=([0-9]*)#',300,DEFAULT,'traffic_udp',0,-1,'bps','LINE1','#40FF00',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) 
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_ESIA_FLOWS_TRAFFIC'),'GAUGE','#traffic_tcp=([0-9]*)#',300,DEFAULT,'traffic_tcp',0,-1,'bps','LINE1','#58ACFA',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) 
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_ESIA_FLOWS_TRAFFIC'),'GAUGE','#traffic_icmp=([0-9]*)#',300,DEFAULT,'traffic_icmp',0,-1,'bps','LINE1','#FAC258',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) 
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_ESIA_FLOWS_TRAFFIC'),'GAUGE','#traffic_other=([0-9]*)#',300,DEFAULT,'traffic_other',0,-1,'bps','LINE1','#FA7958',NULL,2,NULL);
