<?php
$action = 'list';
include_once 'adv_common.php';
if($user->getAccess($dbconnection,"esia_device") == 1)
{ 
	if($action == "getChannel")
	{
		try
		{
			$flows = Model_esia::InstanceNode($dbconnection,$_GET['flowsid']);
			$flows = new FlowServer($flows);
			$setting = Model_adm::getAdvanceNodeConfig($dbconnection,$flows->getId(),'FLOWS')[0];
			$flows->setURL($setting['parameter']['url']); 
			$json = $flows->getChannel(null,FlowServer::OUTPUT_ARRAY);
            $arr=array();
			foreach($json as $chan)
			{
				$arr[] = $chan['name'];
			}
			echo json_encode($arr,true);
			exit(0);
		}
		catch(Exception $ex)
		{
			$ERRORS[] = array('name' => 'HTTP error' ,'message' => $ex->getMessage());
			$smarty->assign('ERRORS',$ERRORS);
		}
	}
	elseif($action == "update")
	{
		//On n'oublie surtout pas de vérifier si l'utilisateur connecté à bien les droits avant toute choses.
		$adv_config_id = $_REQUEST['id'];
		$node_id = $_REQUEST['node'];
		try
		{
			if(isset($_POST['flows_channel']) && !empty($_POST['flows_channel']))
			{
				$array = array('channel' => $_POST['flows_channel'],'flows-server' => $_POST['flow_srv']);
				Model_adm::updateAdvanceNodeConfig($dbconnection,$adv_config_id,json_encode($array));
				$ADM_MESSAGE[] = array('message' => $lang['FLOWS_UPDATE_SUCCESS']);
				$smarty->assign('ADM_MESSAGE',$ADM_MESSAGE);
			}
			$setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$adv_config_id)[0];
			$listserver = Model_esia::getNodebyType($dbconnection,$user->getId(),'flows server'); 
			$list = array();
			foreach($listserver as $srv)
			{
				$list[] = array('id' => $srv->getId(),'name' => $srv->getName());
			}
			if(!empty($setting['parameter']))
			{
				$smarty->assign('idserver',$setting['parameter']['flows-server']);
				$smarty->assign('channel',$setting['parameter']['channel']);
			}
			$smarty->assign('flowsserver',$list);
			//Le reste de mon code ici
			$smarty->assign('node',$node_id);
			$smarty->assign('adv_id',$adv_config_id);
			$smarty->assign('url',$setting['controller']);
			$smarty->display($template_path.'/adv_flows_node.html');
		}
		catch(Exception $ex)
		{
			$ERRORS[] = array('name' => 'DB error' ,'message' => $ex->getMessage());
			$smarty->assign('ERRORS',$ERRORS);
		}
	}
}
?>
