<?php
//inclusion des fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
//$ESIA_WIDGET_NOTREE=TRUE;
$webp_name='FLOWS'; 
//$webp_model='model_'.$webp_name.'.php'; 

/*DESCRIPTION: inclus les variables habituelles pour la gestion d'un noeud et vérifie les droits d'accès
 *NECESSITE: la variable $webp_name configurée
 *           la variable $webp_model est incluste
 *APRES l'inclusion du common_node_control les variables suivantes sont créées:
 *PHP:
 *      $node objet de type device
 *      $template_path chemin d'accès vers le répertoire template du plugin (exemple: /usr/local/esia/public_html/plugin/server/templates/)
 *      $apache_plugin_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_info = array('id'=>$node->getId(),
                    'name'=>$node->getName(),
				    'ip'=>$node->getIPAddress(),
				    'id'=>$node->getId(),
				    'description'=>$node->getDescription(),
				    'group'=>$node->getGroup());
 * SMARTY 
        $node avec les donnée de node_info (voir au dessus)
 *      $apache_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_status pour l'affichage commun des noeuds si $_GET['tab'] est vide
 */
include_once $path.'/inc/common_node_control.php';
include_once $path . $apache_plugin_path . '/libs/flowServer.class.php';
//valeur par défaut du show
$show = 'flows';
if(isset($_GET['show']) && !empty($_GET['show']))
{
    $show =$_GET['show'];
}
try
{
	
	$node = new FlowServer($node);
	$setting = Model_esia::getAdvanceNodeConfig($dbconnection, $node->getId(), 'FLOWS')[0];
	$node->setURL($setting['parameter']['url']);
    if($show =='topip')
    {
    	//public function getLastTopIP($data='global',$type='all',$during='15min',$channel='all',$output=FlowServer::OUTPUT_OBJECT)
    	$stats = $node->getCollectorsStatistic(null,FlowServer::OUTPUT_ARRAY);
    	$json_array['collector_state']=array('ok'=>$stats['ok'],'warning'=>$stats['warning'],'critical'=>$stats['critical'],'unknown'=>$stats['unknown'] );
    	$stats = $node->getChannelStatistic(null,'bytes',FlowServer::OUTPUT_ARRAY);
    	//on divise le tableau en 15 jour
    	$stats = array_chunk($stats, 15,true);
    	//print_r($stats);
    	$stats = $stats[1];
    	$date=array();
    	$byte=array();
    	//$traffic[1][]='bytes';
    	foreach($stats as $time => $value)
    	{
    		$date[]=preg_replace('#\/#','-',$time);
    		$byte[]=$value;
    		//$traffic['x'][]=$date;
    		//$traffic['bytes'][]=$value;
    		//$traffic['date']=$date;
    		//$traffic['bytes']=$value;
    	}
    	$json_array['traffic']=array('x'=>$date,'bytes'=>$byte);
    	$time='1d';
    	if(!empty($_GET['time']))
    	{
    		$time=$_GET['time'];
    	}
    	$selectip='all';
    	if(!empty($_GET['ip']))
    	{
    		$selectip=$_GET['ip'];
    	}
    	$direction='all';
    	if(!empty($_GET['direction']))
    	{
    		$direction=$_GET['direction'];
    	}
    	$channel='all';
    	if(!empty($_GET['channel']))
    	{
    		$channel=$_GET['channel'];
    	}
    	if(!empty($_GET['filterip']))
    	{
    		$flows = $node->executeCollector($_GET['filterip'],'TOP_10_IP_BYTES',$selectip,$direction,$time,$channel,FlowServer::OUTPUT_ARRAY);
    		$flows['data']['data'] = $flows;
    		//print_r($flows);
    	}
    	else 
    	{
    		$flows = $node->getLastTopIP($selectip,$direction,$time,$channel,FlowServer::OUTPUT_ARRAY);
    	}
    	$date = $flows['last_execution'];
    	$arr = array();
    	foreach($flows['data']['data'] as $flows)
    	{
    		$name =$flows['val'];
    		if(!empty($flows['hostname']))
    		{
    			$name = $flows['hostname'];
    		}
    		$arr[$name]=$flows['ibyt'];
    	}
    	$json_array['topip'] = array('date'=>$date,'data'=>$arr);
    	echo json_encode($json_array);
    }
    elseif($show =='topport')
    {
    	$channel='all';
    	if(!empty($_GET['channel']))
    	{
    		$channel=$_GET['channel'];
    	}
    	if(!empty($_GET['filterip']))
    	{
    		$stats = $node->executeCollector($_GET['filterip'],'TOP_10_PORT',$selectip,$direction,'1d',$channel,FlowServer::OUTPUT_ARRAY);
    		$stats['data']['data'] = $stats;
    	}
    	else
    	{
    		$stats = $node->getTopPort('1d','all',FlowServer::OUTPUT_ARRAY);
    	}
    	$arr= array();
    	foreach($stats['data']['data'] as $port)
    	{
    		$name =$port['pro'].' '.$port['dp'];
    		if($port['dp'] == 0)
    		{
    			$name='icmp';
    		}
    		$arr[$name]=$port['ibyt'];
    	}
    	echo json_encode($arr);
    }
}
catch(Exception $e)
{
	echo json_encode(array('error'=>$e->getMessage()));
   // echo $e->getMessage();
}
?>
